Announcement

Collapse
No announcement yet.

Probleme demon ODS

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Laurent M
    replied
    J'ai aussi du faire ca au passage:
    aptitude install librrds-perl

    Leave a comment:


  • Laurent M
    replied
    Pour le problème d'ODS de départ
    aptitude update
    /etc/init.d/ods restart

    Je crois que c'est ca qui l'a fait marché, mais j'ai fait tellement de manip (dont la réponse disont en gros que ce que je cherche n'est pas trouvable, sur des serveurs différents)

    mais moi j'aimerais bien régler mon problème de rrdtool (même si c'est plus tout a fait en rapport avec le sujet d'origine)

    Leave a comment:


  • Pittocha
    replied
    [[email protected] rpm_oreon]# service ods start
    Starting ODS Collector : ods_daemon
    [[email protected] rpm_oreon]# RRDs object version 1.2018 does not match bootstrap parameter 1.000491 at /usr/lib/perl5/5.8.5/i386-linux-thread-multi/DynaLoader.pm line 253.
    Compilation failed in require at /usr/local/oreon/ODS/ods.pl line 31.
    BEGIN failed--compilation aborted at /usr/local/oreon/ODS/ods.pl line 31.

    Est ce que quelqu'un sais comment résoudre ce pb ?

    Leave a comment:


  • Laurent M
    replied
    Personne n'as de solution pour mon problème?

    Leave a comment:


  • Laurent M
    replied
    J'ai vérifié pour être certain il n'y a pas de majuscule qui se balade, ca me renvoit une autre erreur dans ce cas.

    Leave a comment:


  • Laurent M
    replied
    No candidate version found for rrdtool
    Package: rrdtool
    State: not a real package

    Leave a comment:


  • WAtt
    replied
    et sans le grep ???

    Leave a comment:


  • Laurent M
    replied
    C'est marqué dans ma signature:
    Ubuntu serv 6.0.6

    Ca ne donne aucune réponse, il me rend la main direct

    Leave a comment:


  • WAtt
    replied
    aptitude ~= apt

    Code:
     apt-cache show rrdtool |grep Version
    Avec ca tu as la version disponible de rrdtool pour ta version de debian

    Tu as quel version de Debian r3.1 ? r4 ? une version hibride ? avec des sources en unstable/testing/stable ?

    Leave a comment:


  • Laurent M
    replied
    No candidate version found for rrdtool
    The following packages have been kept back:
    bind9-host cpio dnsutils dpkg dselect file gnupg gzip info libbind9-0
    libdns21 libgnutls12 libisc11 libisccc0 libisccfg1 libkrb53 liblwres9
    libmagic1 libssl0.9.8 linux-image-2.6.15-26-server linux-image-server
    linux-server locales lvm2 python2.4 python2.4-minimal tar tcpdump w3m
    0 packages upgraded, 0 newly installed, 0 to remove and 29 not upgraded.
    Need to get 0B of archives. After unpacking 0B will be used.
    Writing extended state information... Fait

    Il n'y a pas de dossier rrdtool de créé.
    Il faut que j'installe la version 1.0.49 avant pour l'upgrader????

    Sinon je connaissais pas aptitude, je croyais que c'était un équivalant de apt-get mais en fait ca met à jours le source-list...

    Leave a comment:


  • WAtt
    replied
    Originally posted by Laurent M View Post
    Pour installer proprement rrdtool j'ai essayé de faire un apt-get install mais il me renvoit l'erreur suivante:

    Lecture des listes de paquets... Fait
    Construction de l'arbre des dépendances... Fait
    Aucune version du paquet rrdtool n'est disponible, mais il existe dans la base de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolèteou qu'il n'est disponible que sur une autre source.

    Je vais l'installé à la main à partir des sources. Y a-t-il des options à mettre ou je fais juste ./configure make make install?
    Tu as refais un:
    Code:
    $> aptitude update
    Pour remettre la liste des sources a jours. Ensuite refais un:
    Code:
    $> aptitude install rrdtool

    Leave a comment:


  • Laurent M
    replied
    Il me semblais bien que j'avais réussi tout comme il faut la dernière fois.
    C'est pour ca que j'étais passé par nagios by oreon (qui m'a installé la version 1.0.49)

    Je peux bien faire ./ configure mais pas make

    Si quelqu'un à la solution....

    merci

    Leave a comment:


  • Laurent M
    replied
    Pour installer proprement rrdtool j'ai essayé de faire un apt-get install mais il me renvoit l'erreur suivante:

    Lecture des listes de paquets... Fait
    Construction de l'arbre des dépendances... Fait
    Aucune version du paquet rrdtool n'est disponible, mais il existe dans la base de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolèteou qu'il n'est disponible que sur une autre source.

    Je vais l'installé à la main à partir des sources. Y a-t-il des options à mettre ou je fais juste ./configure make make install?

    Leave a comment:


  • julio
    replied
    honnetement c'est normal pour les pb de rendre la main ou pas

    regarde bien le script de lancement du service... le "&" est la pour ca

    tu as quelle version de ods ?

    Leave a comment:


  • Laurent M
    replied
    Quand je fais "/etc/init.d/ods start" il me rend la main mais le demon n'est pas actif.

    Quand je fais "[email protected]:/usr/local/oreon/ODS# ./ods.pl" il ne me rend pas la main (il met 5 ou 6 secondes a me la rendre après un ctrl + c)

    Sympa le soutient DonKiShoot... LL

    Lundi je recommence un nouveau serveur virtuel, je verrai si le problème se reproduit.

    Leave a comment:

Working...
X